summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'mail-mta/opensmtpd/files/smtpd.initd')
-rw-r--r--mail-mta/opensmtpd/files/smtpd.initd17
1 files changed, 17 insertions, 0 deletions
diff --git a/mail-mta/opensmtpd/files/smtpd.initd b/mail-mta/opensmtpd/files/smtpd.initd
new file mode 100644
index 00000000000..995d36ed81e
--- /dev/null
+++ b/mail-mta/opensmtpd/files/smtpd.initd
@@ -0,0 +1,17 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+command="smtpd"
+start_stop_daemon_args="--pidfile=/run/smtpd.pid"
+description="SMTP daemon from OpenBSD"
+
+depend() {
+ need net
+}
+stop() {
+ ebegin "Stopping smtpd"
+ smtpctl stop
+ eend $?
+}